|  | Home | Documentation | SOAP_ENV__Code Struct Reference updated Mon Nov 12 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
SOAP_ENV__Code Struct Reference

`#include <addressStub.h>`

Collaboration diagram for SOAP_ENV__Code:
[legend]

## Public Member Functions
long | soap_type () const
| SOAP_ENV__Code ()
long | soap_type () const
| SOAP_ENV__Code ()

## Public Attributes
char * | SOAP_ENV__Value
struct SOAP_ENV__Code * | SOAP_ENV__Subcode

## Friends
SOAP_FMAC1 SOAP_ENV__Code *SOAP_FMAC2 | address_instantiate_SOAP_ENV__Code (struct soap *, int, const char *, const char *, size_t *)
SOAP_FMAC1 SOAP_ENV__Code *SOAP_FMAC2 | graph_instantiate_SOAP_ENV__Code (struct soap *, int, const char *, const char *, size_t *)

## Detailed Description

Definition at line 178 of file addressStub.h.

## Constructor & Destructor Documentation

SOAP_ENV__Code::SOAP_ENV__Code | ( |  | ) |
| inline

Constructor with member initializations

Definition at line 188 of file addressStub.h.

SOAP_ENV__Code::SOAP_ENV__Code | ( |  | ) |
| inline

Constructor with member initializations

Definition at line 107 of file graphStub.h.

## Member Function Documentation

long SOAP_ENV__Code::soap_type | ( |  | ) | const
| inline

Return unique type id SOAP_TYPE_SOAP_ENV__Code

Definition at line 105 of file graphStub.h.

long SOAP_ENV__Code::soap_type | ( |  | ) | const
| inline

Return unique type id SOAP_TYPE_SOAP_ENV__Code

Definition at line 186 of file addressStub.h.

## Friends And Related Function Documentation

SOAP_FMAC1 SOAP_ENV__Code* SOAP_FMAC2 address_instantiate_SOAP_ENV__Code | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator

SOAP_FMAC1 SOAP_ENV__Code* SOAP_FMAC2 graph_instantiate_SOAP_ENV__Code | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator

## Member Data Documentation

struct SOAP_ENV__Code * SOAP_ENV__Code::SOAP_ENV__Subcode

Optional element 'SOAP-ENV:Subcode' of XSD type 'SOAP-ENV:Code'

Definition at line 183 of file addressStub.h.

char * SOAP_ENV__Code::SOAP_ENV__Value

Optional element 'SOAP-ENV:Value' of XSD type 'xsd:QName'

Definition at line 181 of file addressStub.h.

The documentation for this struct was generated from the following files:

- addressStub.h
- graphStub.h